Subject: Re: How to port PReP to arch/powerpc?

From: David Gibson <[email-masked]>
Date: Thu, 23 Aug 2007 13:37:03 +1000

On Wed, Aug 22, 2007 at 07:29:56AM -0500, Josh Boyer wrote:
> On Wed, 22 Aug 2007 14:50:07 +0300 (EEST)
> Meelis Roos <[email-masked]> wrote:
> 
> > It seems no one cares for arch/ppc any more but the move to powerpc was 
> > not finished completely (PReP subarch was not migrated but sees users, I 
> > do not know about the user base of the other subarches). So I have been 
> > thinking about migrating PReP support to arch/powerpc myself since I use 
> > it.
> 
> The merge is still on-going.  So it's not "finished" at all.
> 
> > Any general guidelines or specific hints about that? I have looked 
> > around in the code and some pieces are clearly PReP specific (setup, 
> > pci, boot) but others seem wuite a bit mixed up with other subarches.
> 
> David Gibson and Rob Landley had a quite interesting discussion about
> PReP last night on IRC.  You might want to contact them and see if they
> came to any conclusions.

Yes, my draft PReP support patch, tweaked this morning to build again
(changes roughly identical to Rob Landley's patch, I believe) is at:
	http://ozlabs.org/~dgibson/home/tmp/prep-support

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson